Index: FOIAVistA/tag/r/PATIENT_REPRESENTATIVE-QAC/QACVEMPX.m
===================================================================
--- FOIAVistA/trunk/r/PATIENT_REPRESENTATIVE-QAC/QACVEMPX.m	(revision 631)
+++ FOIAVistA/tag/r/PATIENT_REPRESENTATIVE-QAC/QACVEMPX.m	(revision 636)
@@ -1,4 +1,4 @@
-QACVEMPX ; OAKOIFO/TKW - Return Person Data, called by RPC ;9/25/07  14:14
- ;;2.0;Patient Representative;**19,21**;07/25/1995;Build 5
+QACVEMPX ; Return Person Data using Value List Handler Pattern to update Patient Advocate PatsPerson table ;5/8/06  10:36
+ ;;2.0;Patient Representative;**19**;07/25/1995;Build 55
 EN(PATSBY,LKUPVAL,PATSROWS,PATSFRM0,PATSFRM1)        ; Lookup Employee by Name, then
  ; Output XML formatted data from NEW PERSON file.
@@ -7,16 +7,13 @@
  ;         an array of Security Keys.
  ; PATSROWS=Number of rows to return in each call
- ; PATSFRM0=Employee Name value from previous call (empty on first call, pass by ref)
- ; PATSFRM1=Employee IEN from previous call (empty on first call, pass by ref)
+ ; PATSFRM0=Employee Name value from previous call (empty on first call)
+ ; PATSFRM1=Employee IEN from previous call (empty on first call)
  K ^TMP("DILIST",$J),^TMP("PatsPersonXml",$J)
- N STDNAME,ULASTNM,NAMECOMP,IENS,PIECE,OUTCNT,TAGLIST,FROM,PART,SRVIEN,MAILCODE,TITLE,SRVRSTA,PATSMORE,PATSERR,DIERR,I,J,X,Y
- ; If LKUPVAL exists, it contains an employee name, find partial matches.
- I $G(LKUPVAL)]"" D
- . S ULASTNM=$P(LKUPVAL,",")
- . D LOOKUP1
- . I (ULASTNM[" ")!(ULASTNM["'") D LOOKUP2
- . Q
- ; Else, it contains an array of Security Key values, find all
- ; holders of those keys.
+ N STDNAME,NAMECOMP,IENS,PIECE,OUTCNT,TAGLIST,FROM,PART,SRVIEN,MAILCODE,TITLE,SRVRSTA,PATSMORE,PATSERR,DIERR,I,J,X,Y
+ ; If LKUPVAL exists, it contains an employee name. Else, it is
+ ;  an array of Security Key values and we want to find all holders
+ ;  of those keys.
+ ; Standardize the name, parse out last name and first name.
+ I $G(LKUPVAL)]"" S STDNAME=LKUPVAL D BYNAME
  I $G(LKUPVAL)="" D
  . D EN^QACVKHLD(.LKUPVAL,PATSROWS,.PATSFRM0,.PATSFRM1)
@@ -37,57 +34,6 @@
  ;
  ;
-LOOKUP1 ; Use current routine to standardize the name (IA #3065)
- ; (name may contain spaces or apostrophes).
- S STDNAME=LKUPVAL
- I '$G(PATSROWS) S PATSROWS=10
- S PATSMORE=0
- I STDNAME["," S STDNAME=$$FORMAT^XLFNAME7(.STDNAME,1,35,,,,,1)
- E  S STDNAME=$$FORMAT^XLFNAME7(.STDNAME,1,35,,0,,1,1)
- ; If we've already found all matches to current standard, get out.
- N QOUT S QOUT=0
- I (ULASTNM[" ")!(ULASTNM["'") D  Q:QOUT
- . S X=$P($G(PATSFRM0),",")
- . Q:X=""
- . I (X[" ")!(X["'") Q
- . S QOUT=1 Q
- ; Get list of matching names.
- D GETLIST(STDNAME,PATSROWS,.PATSFRM0,.PATSFRM1,.PATSMORE,.FROM)
- Q
-LOOKUP2 ; Use old routine to standardize the name (no punctuation
- ; except hyphens).)
- ; Quit if the maximum number of names has been found.
- Q:PATSMORE
- ; Convert user input using old standardization routine
- S STDNAME=LKUPVAL
+BYNAME ; Standardize the name, parse out last name and first name. (IA #3065)
  D STDNAME^XLFNAME(.STDNAME,"FG")
- ; Find enough names to fill the list
- N NEWROWS
- S NEWROWS=PATSROWS-$P($G(^TMP("DILIST",$J,0)),"^")
- ; If list is already full, see whether there are more names
- ; using the old standardization, then quit.
- I NEWROWS'>0 D  Q
- . I $D(^VA(200,"B",STDNAME)) S NEWROWS=1
- . E  S X=$O(^VA(200,"B",STDNAME)) I $E(X,1,$L(STDNAME))=STDNAME S NEWROWS=1
- . I NEWROWS=1 S PATSMORE=1,FROM(1)=STDNAME,FROM(2)=""
- . Q
- ; Save off names found using current name standardization.
- K ^TMP("QACOLD",$J)
- I $D(^TMP("DILIST",$J)) D
- . M ^TMP("QACOLD",$J)=^TMP("DILIST",$J)
- . K ^TMP("QACOLD",$J,0) Q
- K ^TMP("DILIST",$J)
- ; Get new list of matching names.
- D GETLIST(STDNAME,NEWROWS,.PATSFRM0,.PATSFRM1,.PATSMORE,.FROM)
- ; Merge the two lists into ^TMP("DILIST",$J).
- S I=$O(^TMP("QACOLD",$J,PATSROWS+1),-1)
- I I D
- . S X=$P($G(^TMP("DILIST",$J,0)),"^")
- . I X F J=1:1:X I $D(^TMP("DILIST",$J,J,0)) S ^TMP("QACOLD",$J,(I+J),0)=^TMP("DILIST",$J,J,0) K ^TMP("DILIST",$J,J,0)
- . M ^TMP("DILIST",$J)=^TMP("QACOLD",$J)
- . S $P(^TMP("DILIST",$J,0),"^")=X+I
- . K ^TMP("QACOLD",$J)
- . Q
- Q 
-GETLIST(STDNAME,PATSROWS,PATSFRM0,PATSFRM1,PATSMORE,FROM) ; Get a list of names matching STDNAME
  N FIRST,LAST,LEN,SCR,CURRDT
  S LAST=$P(STDNAME,","),FIRST=$P(STDNAME,",",2,99)
@@ -101,4 +47,5 @@
  E  S FROM(1)=PATSFRM0,FROM(2)=$G(PATSFRM1)
  S PART(1)=LAST
+ I '$G(PATSROWS) S PATSROWS=10
  ; Return list of standard name pointer, title and mail code (IA #10060)
  D LIST^DIC(200,,"@;8;28","MP",PATSROWS,.FROM,.PART,"B",SCR)
@@ -121,19 +68,10 @@
  . S ^TMP("PatsPersonXml",$J,OUTCNT)="<PatsPerson>"
  . S IENS=$P(X,"^") Q:IENS=""  S IENS=IENS_","
- . ; NOTE: removes reserved XML characters (see $$SYMENC^MXMLUTL, IA#4153)
- . S TITLE=$$SYMENC^MXMLUTL($E($P(X,"^",2),1,30))
- . S MAILCODE=$$SYMENC^MXMLUTL($E($P(X,"^",3),1,30))
+ . ; NOTE: does not remove reserved XML characters (see $$SYMENC^MXMLUTL, IA#4153)
+ . S TITLE=$E($P(X,"^",2),1,30)
+ . S MAILCODE=$E($P(X,"^",3),1,30)
  . ; Get the individual name components and add them to the output (IA #3065)
- . K NAMECOMP
- . S NAMECOMP=$P($G(^VA(200,+IENS,0)),"^")
- . ; If name contains apostrophes or spaces, use current standardization
- . I ($P(NAMECOMP,",")["'")!($P(NAMECOMP,",")[" ") D
- .. S NAMECOMP=$$FORMAT^XLFNAME7(.NAMECOMP,1,35,,,,,2)
- .. S NAMECOMP=NAMECOMP("FAMILY")_"^"_NAMECOMP("GIVEN")_"^"_NAMECOMP("MIDDLE")_"^"_NAMECOMP("SUFFIX")
- .. Q
- . ; Else, use old standardization routine.
- . E  D
- .. K NAMECOMP S NAMECOMP("FILE")=200,NAMECOMP("FIELD")=.01,NAMECOMP("IENS")=IENS
- .. S NAMECOMP=$$HLNAME^XLFNAME(.NAMECOMP,"S")
+ . K NAMECOMP S NAMECOMP("FILE")=200,NAMECOMP("FIELD")=.01,NAMECOMP("IENS")=IENS
+ . S NAMECOMP=$$HLNAME^XLFNAME(.NAMECOMP,"S")
  . F J=1:1:6 D
  .. S OUTCNT=OUTCNT+1
Index: FOIAVistA/tag/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXBUTL.m
===================================================================
--- FOIAVistA/trunk/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXBUTL.m	(revision 631)
+++ FOIAVistA/tag/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXBUTL.m	(revision 636)
@@ -1,4 +1,4 @@
 PXBUTL ;ISL/JVS,ESW - UTILITIES FOR PROMPTS ; 10/31/02 12:13pm
- ;;1.0;PCE PATIENT CARE ENCOUNTER;**32,108**;Aug 12, 1996
+ ;;1.0;PCE PATIENT CARE ENCOUNTER;**32,108**;Aug 12, 1996;Build 1
  ;
  ;
Index: FOIAVistA/tag/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXTTU1.m
===================================================================
--- FOIAVistA/trunk/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXTTU1.m	(revision 631)
+++ FOIAVistA/tag/r/PCE_PATIENT_CARE_ENCOUNTER-AUTN-EFDP-PX-VSIT--PXRM/PXTTU1.m	(revision 636)
@@ -1,4 +1,20 @@
-PXTTU1 ;ISL/JVS/ESW - Utility Routine-calls from input transforms ;5/20/96  17:14
- ;;1.0;PCE PATIENT CARE ENCOUNTER;**106**;Aug 12, 1996
+PXTTU1 ;ISL/JVS/ESW - Utility Routine-calls from input transforms ;10/10/06  19:07
+ ;;1.0;PCE PATIENT CARE ENCOUNTER;**106,167**;Aug 12, 1996;Build 22
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  Q
  ; This routines purpose is to hold utilities used by the supporting
@@ -24,5 +40,5 @@
  Q
  ;
-GETSITE S PXTDUZ=+$P($$SITE^VASITE,U,3)
+GETSITE S PXTDUZ=$P($$SITE^VASITE,U,3) S:$G(DUZ("AG"))="V" PXTDUZ=+PXTDUZ
  I $L(PXTDUZ)'=3 W !,"Primary site is not 3 character station number! See IRM for setup." Q
  Q
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUCP.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUCP.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUCP.m	(revision 636)
@@ -1,9 +1,8 @@
-PSUCP ;BIR/TJH,PDW - PBM CONTROL POINT ; 06/08/07
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**12**;MARCH, 2005;Build 19
+PSUCP ;BIR/TJH,PDW - PBM CONTROL POINT ;25 AUG 1998
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ; Reference to File #4    supported by DBIA 10090
  ; Reference to File #4.3  supported by DBIA 10091
  ; Reference to File #40.8 supported by DBIA 2438
  ; Reference to File #59.7 supported by DBIA 2854
- ; move CLEANUP^PSUHL from PSURT1, delete calls to PSUCP3 (PSU*4*12)
 MANUAL ; entry point for manual option
  S PSUALERT=0 D MANUAL^PSUALERT
@@ -18,5 +17,5 @@
  .S DIR("A")="Do you wish to continue"
  .D ^DIR
- D CLEANUP^PSUHL
+ D ^PSUCP3
  S PSUJOB=$J_"_"_$P($H,",",2)
  S ^XTMP("PSUMANL")=""
@@ -37,8 +36,8 @@
  S PSUALERT=0 D AUTO^PSUALERT
  I PSUALERT K PSUALERT Q
- I $D(^XTMP("PSU","RUNNING")) D  Q
+ I $G(^XTMP("PSU","RUNNING")) D  Q
  .S XQA(DUZ)="",XQA("G.PSU PBM")="",XQMSG="An ERROR has occurred. Please contact IRM for assistance."
  .S XQAID="PSU",XQAFLG="D" D SETUP^XQALERT
- D CLEANUP^PSUHL
+ D ^PSUCP3         ;Clear trash globals
  S PSUJOB=$J_"_"_$P($H,",",2)
  S ^XTMP("PSU_"_PSUJOB,"PSUFLAG1")=""   ;flag for mail patient summary reports
@@ -67,5 +66,5 @@
  D ^PSUDBQUE
  K PSUALERT,XQA,XQAID,XQAFLG,XQA,ZTSK
-AUTOQ Q  ; exit from AUTO
+AUTOQ D EXIT Q  ; exit from AUTO
  ;
 RUN ; run each selected module
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSUDEM1 ;BIR/DAM - Patient Demographics Extract ; 20 DEC 2001
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**12**;MARCH, 2005;Build 19
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ;DBIA's
@@ -38,6 +38,5 @@
  ;information ONLY on new or updated patient.
  ;
- ; *** PSU*4.0*12 - BAJ -- added QUIT if NULL
- F  S PSUSDT=$O(^PSUDEM("B",PSUSDT)) Q:PSUSDT=""  Q:PSUSDT>PSUEDT  D
+ F  S PSUSDT=$O(^PSUDEM("B",PSUSDT)) Q:PSUSDT>PSUEDT  D
  . S I=""
  . S I=$O(^PSUDEM("B",PSUSDT,I)) Q:I=""
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM4.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM4.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUDEM4.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUDEM4 ;BIR/DAM - Provider Extract ; 4/26/07 4:38pm
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**8,12**;MARCH, 2005;Build 19
+PSUDEM4 ;BIR/DAM - Provider Extract ; 7/21/06 2:27pm
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;**8**;MARCH, 2005
  ;
  ;DBIA'S
@@ -102,12 +102,8 @@
 CLASS ;Find provider class
  ;
- I '$D(PSUCLP) S $P(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIEN),U,5)="" Q
+ I '$D(PSUCLP) S $P(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIEN),U,5)=""
  I PSUCLP="" S $P(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIEN),U,5)=""
  I PSUCLP'="" D
- .N PSUA
- .S PSUA=$P($G(^DIC(7,PSUCLP,0)),U,2)
- .I PSUA']"" S PSUA=$P($G(^DIC(7,PSUCLP,0)),U,1)
- .S $P(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIEN),U,5)=PSUA  ;Prov class
- .K PSUA
+ .S $P(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIEN),U,5)=$P($G(^DIC(7,PSUCLP,0)),U,2)  ;Prov class
  Q
  ;
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSULRHL1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSULRHL1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSULRHL1.m	(revision 636)
@@ -1,4 +1,4 @@
-PSULRHL1 ;HCIOFO/BH/RDC - Process real time HL7 Lab messages ; 8/1/07 11:26am
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**3,11**;MARCH, 2005;Build 8
+PSULRHL1 ;HCIOFO/BH/RDC - Process real time HL7 Lab messages ; 5/15/04 3:10pm
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;**3**;MARCH, 2005
  ;
  ; DBIA 3565 to subscribe to the LR7O ALL EVSEND RESULTS protocol
@@ -156,5 +156,4 @@
  S LABS=$P(REC,PSUHLFS,4)
  S LR60=$P(LABS,"^",4)
- I LR60']"" Q
  S LRDN=$G(^LAB(60,LR60,0))
  S LRDN=$P($P(LRDN,"^",5),";",2)   ;  DBIA 91 for data name
@@ -162,5 +161,4 @@
  ; Make the call to LRRPU to get the LOINC code for this test
  ;
- I LRDN']"" Q
  S RES=$$TSTRES^LRRPU(LRDFN,LRSS,LRIDT,LRDN,LR60,1)
  ;
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUMAP0.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUMAP0.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUMAP0.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUMAP0 ;BHM/PDW-MAP OAU,NAOU,DA LOCATION TO DIVISION/OUTPATIENT SITES ; 4/12/07 2:12pm
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**12**;MARCH, 2005;Build 19
+PSUMAP0 ;BHM/PDW-MAP OAU,NAOU,DA LOCATION TO DIVISION/OUTPATIENT SITES ; 9SEP2003
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ;DBIA's
@@ -51,6 +51,5 @@
  ..K PJJ,XBEG,XEND
  .S PSUMOD(X1)=""
- ; modified to fix <UNDEFINED> PSU*3*12 BAJ
- S X="",ERC=0 F  S X=$O(PSUMOD(X)) Q:X=""  I '$D(PSUA(X)) S ERC=1 Q
+ S (X,ERC)=0 F  S X=$O(PSUMOD(X)) Q:X=""  I '$D(PSUA(X)) S ERC=1 Q
  I ERC W !!,"<INVALID CHOICE - ",X,", TRY AGAIN>",$C(7) G MODP
  I '$D(PSUMOD) W !!,"No choices were made." K DIR S DIR(0)="E",DIR("A")="EXITING" D ^DIR G EXIT
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUOPAM.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUOPAM.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUOPAM.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUOPAM ;BIR/DAM - PSU PBM Outpatient AMIS Pharmacy Data Collection; March 2004 ; 1/11/08 11:46am
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**13**;MARCH, 2005;Build 3
+PSUOPAM ;BIR/DAM - PSU PBM Outpatient AMIS Pharmacy Data Collection; March 2004
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ;DBIA's
@@ -20,6 +20,5 @@
 CO ;Copay status: found in file (#52), field (#105)
  ;
- ;PSU*4*13 Corrected to show the COPAY.
- S PSUCO=$P($G(^TMP("PSOR",$J,PSURXIEN,"IB")),U,1)
+ S PSUCO=$P($G(^TMP("PSOR",$J,PSURXIEN,"IB",0)),U,1)
  I $G(PSUCO) S PSUCOPAY="Y"
  I '$G(PSUCO) S PSUCOPAY="N"
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUPR2.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUPR2.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUPR2.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUPR2 ;BIR/PDW - Procurement extract from file 58.811 ; 4/1/08 4:09pm
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**13**;MARCH, 2005;Build 3
+PSUPR2 ;BIR/PDW - Procurement extract from file 58.811 ;20 AUG 1999
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;DBIAs
  ; Reference to file #58.811 supported by DBIA 2521
@@ -127,9 +127,7 @@
  I '$D(PSUADJ),'PSUIT(9999) S PSUIT(9999)="" ; per Lina
  ;
- ;PSU*4*13 Comment out To prevent XINDEX from complaining about
- ; ^PSUPR7 (CoreFLS remnance)
  ;Create "RECORDS" global for CoreFLS data
- ;I $D(PSUFLSFG) S PSUA="" D
- ;.F  S PSUA=$O(^XTMP(PSUPRSUB,"PSUFLS",PSUA)) Q:PSUA=""  D SIMPL^PSUPR7
+ I $D(PSUFLSFG) S PSUA="" D
+ .F  S PSUA=$O(^XTMP(PSUPRSUB,"PSUFLS",PSUA)) Q:PSUA=""  D SIMPL^PSUPR7
  ;
  ;   Construct record and store into ^XTMP(PSUPRSUB,"RECORDS",PSUDIV,LC)
@@ -231,7 +229,6 @@
  .S PSUDA=0
  .F  S PSUDA=$O(MAPLOC(PSUDA)) Q:PSUDA=""  D
- ..;PSU*4*13 Correct Problm DA Pharm Report
- ..I $G(MAPLOC(PSUDA,.02))'="" K DAPH(PSUDA)
- ..I $G(MAPLOC(PSUDA,.03))'="" K DAPH(PSUDA)
+ ..I $G(MAPLOC(PSUDA,.02))'="" K NAOU(PSUDA)
+ ..I $G(MAPLOC(PSUDA,.03))'="" K NAOU(PSUDA)
  M ^XTMP(PSUARSUB,"DAPH")=DAPH      ;only unmapped DA PHARM locations.
  Q
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSURT1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSURT1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSURT1.m	(revision 636)
@@ -1,4 +1,4 @@
-PSURT1 ;BIR/RDC - PATIENT DEMOGRAPHIC RETRANSMITION; APR 2, 2007 ; 4/2/07 11:01am
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**12**;MARCH, 2005;Build 19
+PSURT1 ;BIR/RDC - PATIENT DEMOGRAPHIC RETRANSMITION; 31 MAR 2004
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ; THIS PROGRAM WILL ALLOW THE RETRANSMITION OF THE PATIENT
@@ -9,5 +9,5 @@
  NEW P,SDT,EDT,WHEN,NOGOOD,TMON,RMONTH,PMON,SMON,EMON,RTYPE,SRANGE,ERANGE
  S P=""
- ; move call to CLEANUP^PSUHL to routine PSUCP (PSU*4*12) 
+ D CLEANUP^PSUHL
  S SDT=$O(^PSUDEM("B",P))
  I 'SDT W !,"NO DATA AVAILABLE - NOTIFY YOUR SUPERVISOR" Q
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUSUM1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUSUM1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUSUM1.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUSUM1 ;BIR/DAM - Summary Report for Provider Extract ; 2/23/07 2:18pm
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**12**;MARCH, 2005;Build 19
+PSUSUM1 ;BIR/DAM - Summary Report for Provider Extract ; 20 DEC 2001
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ; No DBIA's required.
@@ -55,5 +55,4 @@
  S PSUIP=0
  F  S PSUIP=$O(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIP)) Q:PSUIP=""  Q:PSUIP["U"  D
- .I $P($G(^VA(200,PSUIP,"PS")),"^",6)=4 Q  ; Exclude if the provider type is "FEE BASIS" (PSU*4*12)
  .S PSUSSN3=$E($P($G(^XTMP("PSU_"_PSUJOB,"PSUPROV",PSUIP)),U,3),6,9)
  .I PSUSSN3="" S PSUSSN3="????",PSUMIS="SSN" D NAM             ;No SSN
Index: FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUVIT1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUVIT1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_BENEFITS_MANAGEMENT-PSU/PSUVIT1.m	(revision 636)
@@ -1,4 +1,4 @@
-PSUVIT1 ;BIR/RDC - VITALS & IMMUNIZATION EXTRACT; 24 DEC 2003 ; 10/9/07 7:03am
- ;;4.0;PHARMACY BENEFITS MANAGEMENT;**11**;MARCH, 2005;Build 8
+PSUVIT1 ;BIR/RDC - VITALS & IMMUNIZATION EXTRACT; 24 DEC 2003
+ ;;4.0;PHARMACY BENEFITS MANAGEMENT;;MARCH, 2005
  ;
  ;DBIA's
@@ -72,5 +72,4 @@
  N PSURTYPE,PSUSSN,PSUICN,PSUVTYPE,PSUVRATE,PSUVUNIT
  N Z,QQ,PSUVQ1,PSUVQ2,PSUVQ3,PSUVQ4,PSUVLIST,PSUVMSG
- N PSULN,PSUTXT
  ;
  S PSUVLIST="""BLOOD PRESSURE"",""HEIGHT"",""WEIGHT"",""PAIN"",""PULSE"",""PULSE OXIMETRY"""
@@ -78,9 +77,4 @@
  ;                          ** Loop through date index for valid dates **
  S PSUDATE=SDATE
- ;PSU*4*11 Added null ptr notification.
- S PSUTXT(1)="The following IEN(s) have a null pointer in the PATIENT (#2) field of"
- S PSUTXT(2)="the GMRV VITAL MEASUREMENT file (#120.5).  Please notify your IRM and"
- S PSUTXT(3)="submit a remedy ticket for help in evaluating the record."
- S PSULN=3
  F  S PSUDATE=$O(^GMR(120.5,"B",PSUDATE)) Q:PSUDATE>EDATE!('PSUDATE)  D
  . S PSUV=""                      ; ** loop thru vitals for each date **
@@ -89,7 +83,4 @@
  .. S PSUVREC=$G(^GMR(120.5,PSUV,0)) Q:'PSUVREC
  .. S PSUPTPTR=$P(PSUVREC,U,2)    ; ** point to PATIENT **
- .. I PSUPTPTR="" D  Q            ; ** quit if no patient pointer **
- ... S PSULN=PSULN+1
- ... S PSUTXT(PSULN)=PSUV
  .. Q:$G(^DPT(PSUPTPTR,0))=""     ; ** quit if no patient record **
  .. S PSUPTREC=^DPT(PSUPTPTR,0)   ; ** get patient record **
@@ -123,10 +114,4 @@
  .. ; ** S PSUVTMP(PSUSSN,PSUVTYPE)=PSUVMSG
  .. S ^XTMP("PSU_"_PSUJOB,"PSUVI","TMP",PSUSSN,PSUVTYPE)=PSUVMSG
- ;PSU*4*11 Send null ptr notifications to PBM group.
- I PSULN>3 D
- . S XMTEXT="PSUTXT(",XMY("G.PSU PBM")=""
- . S XMSUB="** PBM vitals extract detected null patient pointer(s) **"
- . S XMDUZ="Pharmacy Benefits Management Package"
- . N DIFROM D ^XMD
  Q
  ;               ** end of vital extract **
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDDUT2.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDDUT2.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDDUT2.m	(revision 636)
@@ -1,4 +1,4 @@
-PSSDDUT2 ;BIR/LDT - Pharmacy Data Management DD Utility ; 8/21/07 8:43am
- ;;1.0; PHARMACY DATA MANAGEMENT; **3,21,61,81,95,127,126**;9/30/97;Build 11
+PSSDDUT2 ;BIR/LDT - Pharmacy Data Management DD Utility ;10/30/97 9:41
+ ;;1.0; PHARMACY DATA MANAGEMENT; **3,21,61,81,95,127**;9/30/97;Build 41
  ;
  ;Reference to ^DIC(42 supported by DBIA #10039
@@ -33,33 +33,9 @@
  ;;R          RESTRICTED ITEMS
  ;;S          SUPPLY ITEMS
- ;;B          ALLOW REFILL (SCH. 3, 4, 5 ONLY)
+ ;;B          ALLOW REFILL (SCH. 3, 4, 5 NARCOTICS ONLY)
  ;;W          NOT RENEWABLE
  ;;F          NON REFILLABLE
  ;;E          ELECTRONICALLY BILLABLE
  ;;
-DEATBL ; More Help regarding DEA Codes
- K PSSHLP
- F II=1:1 Q:$P($T(TBL+II),";",3)=""  S PSSHLP(II)=$P($T(TBL+II),";",3,99)
- S PSSHLP(1,"F")="!!" D WRITE
- ;
-TBL K II Q
- ;;          DEA CODE TABLE
- ;; CODE   ALLOW RENEWS ALLOW REFILLS
- ;; 1            NO           NO
- ;; 2            NO           NO
- ;; 2A           NO           NO 
- ;; 3            YES          YES
- ;; 3A           YES          NO
- ;; 3AB          YES          YES
- ;; 4            YES          YES
- ;; 4A           YES          NO
- ;; 4AB          YES          YES
- ;; 5            YES          YES
- ;; 5A           YES          NO
- ;; 5AB          YES          YES
- ;; ADDING W TO A SCHED. 3,4,OR 5 CODE DISALLOWS RENEWS.
- ;; ADDING F TO A SCHED. 3,4,OR 5 CODE DISALLOWS REFILLS
- ;; IF A CODE IS NOT LISTED IN THE ABOVE TABLE
- ;; IT HAS NO EFFECT ON RENEW OR REFILL
 SIG ;checks SIG for RXs (Replaces SIG^PSOHELP)
  I $E(X)=" " D EN^DDIOL("Leading spaces are not allowed in the SIG! ","","$C(7),!") K X Q
@@ -108,6 +84,5 @@
 EDIT ;INPUT XFORM FOR DEA FIELD IN DRUG FILE (Replaces EDIT^PSODEA)
  I X["F",X["B" D EN^DDIOL("Inappropriate F designation!","","$C(7),!") K X Q
- ;;DEA CHANGE PSS*1*126
- I X["B",(+X<3) D EN^DDIOL("The B designation is only valid for schedule 3, 4, 5 !","","$C(7),!") K X Q
+ I X["B",(+X<3!(X'["A")) D EN^DDIOL("The B designation is only valid for schedule 3, 4, 5 narcotics !","","$C(7),!") K X Q
  I X["A"&(X["C"),+X=2!(+X=3) D EN^DDIOL("The A & C designation is not valid for schedule 2 or 3 narcotics !","","$C(7),!") K X Q
  I $E(X)=1,X[2!(X[3)!(X[4)!(X[5) D EN^DDIOL("It contains other inappropriate schedule 2-5 narcotics!","","$C(7),!") K X Q
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDOSRP.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDOSRP.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSDOSRP.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSDOSRP ;BIR/RTR-Dosage review report ;03/24/00
+PSSDOSRP ;BIR/RTR-Dosage review report ; 8/16/05 3:44pm
  ;;1.0;PHARMACY DATA MANAGEMENT;**34,38,49**;9/30/97
  ;Reference to ^PS(50.607 supported by DBIA 2221
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSHLU.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSHLU.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSHLU.m	(revision 636)
@@ -1,4 +1,4 @@
 PSSHLU ;BIR/RLW-UTILITIES USED IN BUILDING HL7 SEGMENTS ;11/14/96
- ;;1.0;PHARMACY DATA MANAGEMENT;**38,124,132**;9/30/97;Build 1
+ ;;1.0;PHARMACY DATA MANAGEMENT;**38**;9/30/97
  ;
 INIT ; set up HL7 application variables
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR ; DRIVER FOR COMPILED XREFS FOR FILE #55 ; 12/12/07
+PSSJXR ; DRIVER FOR COMPILED XREFS FOR FILE #55 ; 01/17/08
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR1.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR1.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR1.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR1 ; COMPILED XREF FOR FILE #55 ; 12/12/07
+PSSJXR1 ; COMPILED XREF FOR FILE #55 ; 01/17/08
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR10.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR10.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR10.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR10 ; COMPILED XREF FOR FILE #55.051 ; 12/12/07
+PSSJXR10 ; COMPILED XREF FOR FILE #55.051 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR11.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR11.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR11.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR11 ; COMPILED XREF FOR FILE #55.0611 ; 12/12/07
+PSSJXR11 ; COMPILED XREF FOR FILE #55.0611 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR12.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR12.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR12.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR12 ; COMPILED XREF FOR FILE #55.07 ; 12/12/07
+PSSJXR12 ; COMPILED XREF FOR FILE #55.07 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR13.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR13.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR13.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR13 ; COMPILED XREF FOR FILE #55.09 ; 12/12/07
+PSSJXR13 ; COMPILED XREF FOR FILE #55.09 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR14.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR14.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR14.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR14 ; COMPILED XREF FOR FILE #55.11 ; 12/12/07
+PSSJXR14 ; COMPILED XREF FOR FILE #55.11 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR15.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR15.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR15.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR15 ; COMPILED XREF FOR FILE #55.1138 ; 12/12/07
+PSSJXR15 ; COMPILED XREF FOR FILE #55.1138 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR16.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR16.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR16.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR16 ; COMPILED XREF FOR FILE #55.6114 ; 12/12/07
+PSSJXR16 ; COMPILED XREF FOR FILE #55.6114 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR17.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR17.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR17.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR17 ; COMPILED XREF FOR FILE #55 ; 12/12/07
+PSSJXR17 ; COMPILED XREF FOR FILE #55 ; 01/17/08
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR18.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR18.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR18.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR18 ; COMPILED XREF FOR FILE #55.01 ; 12/12/07
+PSSJXR18 ; COMPILED XREF FOR FILE #55.01 ; 01/17/08
  ; 
  S DA(1)=DA S DA=0
@@ -63,5 +63,18 @@
  S X=$P(DIKZ(4),U,10)
  I X'="" K:X ^PS(55,"ANIV",DA(1),DA) S:'X ^PS(55,"ANIV",DA(1),DA)=""
-CR1 S DIXR=415
+CR1 S DIXR=481
+ K X
+ S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
+ S X(1)=$P(DIKZ(0),U,2)
+ S X(2)=$P(DIKZ(0),U,3)
+ S X=$G(X(1))
+ I $G(X(1))]"",$G(X(2))]"" D
+ . K X1,X2 M X1=X,X2=X
+ . N DIKXARR M DIKXARR=X S DIKCOND=1
+ . S X=$$PATCH^XPDUTL("PXRM*1.5*12")
+ . S DIKCOND=$G(X) K X M X=DIKXARR
+ . Q:'DIKCOND
+ . D SPSPA^PSJXRFS(.X,.DA,"IV")
+CR2 S DIXR=493
  K X
  S DIKZ(.2)=$G(^PS(55,DA(1),"IV",DA,.2))
@@ -77,18 +90,5 @@
  . Q:'DIKCOND
  . S ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"V")=""
-CR2 S DIXR=466
- K X
- S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
- S X(1)=$P(DIKZ(0),U,2)
- S X(2)=$P(DIKZ(0),U,3)
- S X=$G(X(1))
- I $G(X(1))]"",$G(X(2))]"" D
- . K X1,X2 M X1=X,X2=X
- . N DIKXARR M DIKXARR=X S DIKCOND=1
- . S X=$$PATCH^XPDUTL("PXRM*1.5*12")
- . S DIKCOND=$G(X) K X M X=DIKXARR
- . Q:'DIKCOND
- . D SPSPA^PSJXRFS(.X,.DA,"IV")
-CR3 S DIXR=498
+CR3 S DIXR=494
  K X
  S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
@@ -100,5 +100,5 @@
  . K X1,X2 M X1=X,X2=X
  . S ^PS(55,"AIVC",$E(X(1),1,20),$E(X(2),1,20),DA(1),DA)=""
-CR4 S DIXR=500
+CR4 S DIXR=496
  K X
  S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR19.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR19.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR19.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR19 ; COMPILED XREF FOR FILE #55.0105 ; 12/12/07
+PSSJXR19 ; COMPILED XREF FOR FILE #55.0105 ; 01/17/08
  ; 
  S DA=0
